> ## Documentation Index
> Fetch the complete documentation index at: https://cal.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get team routing form

> Required membership role: `team admin`. PBAC permission: `routingForm.readTeamRoutingForms`. Learn more about API access control at https://cal.com/docs/api-reference/v2/access-control. If accessed using an OAuth access token, the `TEAM_ROUTING_FORM_READ` scope is required.



## OpenAPI

````yaml /api-reference/v2/openapi.json get /v2/organizations/{orgId}/teams/{teamId}/routing-forms/{routingFormId}
openapi: 3.0.0
info:
  title: Cal.com API v2
  description: ''
  version: 1.0.0
  contact: {}
servers: []
security: []
tags: []
paths:
  /v2/organizations/{orgId}/teams/{teamId}/routing-forms/{routingFormId}:
    get:
      tags:
        - Orgs / Teams / Routing forms
      summary: Get team routing form
      description: >-
        Required membership role: `team admin`. PBAC permission:
        `routingForm.readTeamRoutingForms`. Learn more about API access control
        at https://cal.com/docs/api-reference/v2/access-control. If accessed
        using an OAuth access token, the `TEAM_ROUTING_FORM_READ` scope is
        required.
      operationId: OrganizationsTeamsRoutingFormsController_getTeamRoutingForm
      parameters:
        - name: Authorization
          in: header
          description: >-
            value must be `Bearer <token>` where `<token>` is api key prefixed
            with cal_
          required: true
          schema:
            type: string
        - name: orgId
          required: true
          in: path
          schema:
            type: number
        - name: teamId
          required: true
          in: path
          schema:
            type: number
        - name: routingFormId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTeamRoutingFormOutput'
components:
  schemas:
    GetTeamRoutingFormOutput:
      type: object
      properties:
        status:
          enum:
            - success
            - error
          type: string
          example: success
        data:
          $ref: '#/components/schemas/TeamRoutingFormOutput'
      required:
        - status
        - data
    TeamRoutingFormOutput:
      type: object
      properties:
        id:
          type: string
          example: a1b2c3d4-...
        name:
          type: string
          example: My Form
        description:
          type: string
          nullable: true
          example: This is the description.
        disabled:
          type: boolean
          example: false
        teamId:
          type: number
          example: 4214321
        updatedAt:
          type: string
          example: '2024-03-28T10:00:00.000Z'
          format: date-time
          description: >-
            Last modification time; required to apply route edits so concurrent
            changes are detected
        questions:
          type: array
          items:
            $ref: '#/components/schemas/TeamRoutingFormQuestionOutput'
        routes:
          description: Routes in evaluation order
          type: array
          items:
            $ref: '#/components/schemas/TeamRoutingFormRouteOutput'
        summary:
          description: Human-readable overview of the form's questions and routing
          type: array
          items:
            type: string
      required:
        - id
        - name
        - description
        - disabled
        - teamId
        - updatedAt
        - questions
        - routes
        - summary
    TeamRoutingFormQuestionOutput:
      type: object
      properties:
        id:
          type: string
          example: a1b2c3d4-...
        label:
          type: string
          example: Company size
        identifier:
          type: string
          example: companySize
          description: The key used to answer this question in a routing form response
        type:
          type: string
          example: select
        required:
          type: boolean
          example: true
        options:
          type: array
          items:
            $ref: '#/components/schemas/TeamRoutingFormQuestionOptionOutput'
      required:
        - id
        - label
        - identifier
        - type
        - required
        - options
    TeamRoutingFormRouteOutput:
      type: object
      properties:
        id:
          type: string
          example: a1b2c3d4-...
        name:
          type: string
          nullable: true
          example: Enterprise leads
        kind:
          enum:
            - route
            - router
            - fallback
          type: string
        action:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/TeamRoutingFormRouteActionOutput'
        conditions:
          type: string
          nullable: true
          example: '"Company size" equals "51-200"'
          description: Human-readable description of the conditions a submission must match
      required:
        - id
        - name
        - kind
        - action
        - conditions
    TeamRoutingFormQuestionOptionOutput:
      type: object
      properties:
        id:
          type: string
          nullable: true
          example: a1b2c3d4-...
        label:
          type: string
          example: 51-200
      required:
        - id
        - label
    TeamRoutingFormRouteActionOutput:
      type: object
      properties:
        type:
          enum:
            - customPageMessage
            - externalRedirectUrl
            - eventTypeRedirectUrl
          type: string
          description: >-
            For eventTypeRedirectUrl, value is the `team-slug/event-slug` path
            of the routed-to event type
        value:
          type: string
          example: acme/discovery-call
        eventTypeId:
          type: number
          nullable: true
          example: 123
      required:
        - type
        - value
        - eventTypeId

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.